---
title: Revoke shared dashboard invitations
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Dashboards
---

# Revoke shared dashboard invitations{% #revoke-shared-dashboard-invitations %}

{% tab title="v1" %}

| Datadog site      | API endpoint                                                                    |
| ----------------- | ------------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v1/dashboard/public/{token}/invitation |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v1/dashboard/public/{token}/invitation |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v1/dashboard/public/{token}/invitation      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v1/dashboard/public/{token}/invitation      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v1/dashboard/public/{token}/invitation  |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v1/dashboard/public/{token}/invitation     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v1/dashboard/public/{token}/invitation |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v1/dashboard/public/{token}/invitation |

### Overview

Revoke previously sent invitation emails and active sessions used to access a given shared dashboard for specific email addresses. This endpoint requires the `dashboards_invite_share` permission.

OAuth apps require the `dashboards_invite_share` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#dashboards) to access this endpoint.



### Arguments

#### Path Parameters

| Name                    | Type   | Description                        |
| ----------------------- | ------ | ---------------------------------- |
| token [*required*] | string | The token of the shared dashboard. |

### Request

#### Body Data (required)

Shared Dashboard Invitation deletion request body.

{% tab title="Model" %}

| Parent field | Field                        | Type          | Description                                                                                                        |
| ------------ | ---------------------------- | ------------- | ------------------------------------------------------------------------------------------------------------------ |
|              | data [*required*]       |  <oneOf> | An object or list of objects containing the information for an invitation to a shared dashboard.                   |
| data         | Option 1                     | object        | Object containing the information for an invitation to a shared dashboard.                                         |
| Option 1     | attributes [*required*] | object        | Attributes of the shared dashboard invitation                                                                      |
| attributes   | created_at                   | date-time     | When the invitation was sent.                                                                                      |
| attributes   | email                        | string        | An email address that an invitation has been (or if used in invitation request, will be) sent to.                  |
| attributes   | has_session                  | boolean       | Indicates whether an active session exists for the invitation (produced when a user clicks the link in the email). |
| attributes   | invitation_expiry            | date-time     | When the invitation expires.                                                                                       |
| attributes   | session_expiry               | date-time     | When the invited user's session expires. null if the invitation has no associated session.                         |
| attributes   | share_token                  | string        | The unique token of the shared dashboard that was (or is to be) shared.                                            |
| Option 1     | type [*required*]       | enum          | Type for shared dashboard invitation request body. Allowed enum values: `public_dashboard_invitation`              |
| data         | Option 2                     | [object]      | A list of objects containing the information for an invitation(s) to a shared dashboard.                           |
| Option 2     | attributes [*required*] | object        | Attributes of the shared dashboard invitation                                                                      |
| attributes   | created_at                   | date-time     | When the invitation was sent.                                                                                      |
| attributes   | email                        | string        | An email address that an invitation has been (or if used in invitation request, will be) sent to.                  |
| attributes   | has_session                  | boolean       | Indicates whether an active session exists for the invitation (produced when a user clicks the link in the email). |
| attributes   | invitation_expiry            | date-time     | When the invitation expires.                                                                                       |
| attributes   | session_expiry               | date-time     | When the invited user's session expires. null if the invitation has no associated session.                         |
| attributes   | share_token                  | string        | The unique token of the shared dashboard that was (or is to be) shared.                                            |
| Option 2     | type [*required*]       | enum          | Type for shared dashboard invitation request body. Allowed enum values: `public_dashboard_invitation`              |
|              | meta                         | object        | Pagination metadata returned by the API.                                                                           |
| meta         | page                         | object        | Object containing the total count of invitations across all pages                                                  |
| page         | total_count                  | int64         | The total number of invitations on this shared board, across all pages.                                            |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    "undefined"
  ]
}
```

{% /tab %}

### Response

{% tab title="204" %}
OK
{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export token="CHANGE_ME" \# Curl command curl -X DELETE "https://api.datadoghq.com/api/v1/dashboard/public/${token}/invitation" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "email": "test@datadoghq.com"
    },
    "type": "public_dashboard_invitation"
  }
}
EOF \## json-request-body
# 
 \# Path parameters export token="CHANGE_ME" \# Curl command curl -X DELETE "https://api.datadoghq.com/api/v1/dashboard/public/${token}/invitation" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "email": "test@datadoghq.com"
    },
    "type": "public_dashboard_invitation"
  }
}
EOF 
                
##### 

```python
"""
Revoke shared dashboard invitations returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v1.api.dashboards_api import DashboardsApi
from datadog_api_client.v1.model.dashboard_invite_type import DashboardInviteType
from datadog_api_client.v1.model.shared_dashboard_invites import SharedDashboardInvites
from datadog_api_client.v1.model.shared_dashboard_invites_data_list import SharedDashboardInvitesDataList
from datadog_api_client.v1.model.shared_dashboard_invites_data_object import SharedDashboardInvitesDataObject
from datadog_api_client.v1.model.shared_dashboard_invites_data_object_attributes import (
    SharedDashboardInvitesDataObjectAttributes,
)

body = SharedDashboardInvites(
    data=SharedDashboardInvitesDataList(
        [
            SharedDashboardInvitesDataObject(
                attributes=SharedDashboardInvitesDataObjectAttributes(
                    email="test@datadoghq.com",
                ),
                type=DashboardInviteType.PUBLIC_DASHBOARD_INVITATION,
            ),
        ]
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = DashboardsApi(api_client)
    api_instance.delete_public_dashboard_invitation(token="token", body=body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Revoke shared dashboard invitations returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V1::DashboardsAPI.new

body = DatadogAPIClient::V1::SharedDashboardInvites.new({
  data: [
    DatadogAPIClient::V1::SharedDashboardInvitesDataObject.new({
      attributes: DatadogAPIClient::V1::SharedDashboardInvitesDataObjectAttributes.new({
        email: "test@datadoghq.com",
      }),
      type: DatadogAPIClient::V1::DashboardInviteType::PUBLIC_DASHBOARD_INVITATION,
    }),
  ],
})
api_instance.delete_public_dashboard_invitation("token", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Revoke shared dashboard invitations returns "OK" response

package main

import (
	"context"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV1"
)

func main() {
	body := datadogV1.SharedDashboardInvites{
		Data: datadogV1.SharedDashboardInvitesData{
			SharedDashboardInvitesDataList: &[]datadogV1.SharedDashboardInvitesDataObject{
				{
					Attributes: datadogV1.SharedDashboardInvitesDataObjectAttributes{
						Email: datadog.PtrString("test@datadoghq.com"),
					},
					Type: datadogV1.DASHBOARDINVITETYPE_PUBLIC_DASHBOARD_INVITATION,
				},
			}},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV1.NewDashboardsApi(apiClient)
	r, err := api.DeletePublicDashboardInvitation(ctx, "token", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `DashboardsApi.DeletePublicDashboardInvitation`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Revoke shared dashboard invitations returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v1.api.DashboardsApi;
import com.datadog.api.client.v1.model.DashboardInviteType;
import com.datadog.api.client.v1.model.SharedDashboardInvites;
import com.datadog.api.client.v1.model.SharedDashboardInvitesData;
import com.datadog.api.client.v1.model.SharedDashboardInvitesDataObject;
import com.datadog.api.client.v1.model.SharedDashboardInvitesDataObjectAttributes;
import java.util.Collections;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    DashboardsApi apiInstance = new DashboardsApi(defaultClient);

    SharedDashboardInvites body =
        new SharedDashboardInvites()
            .data(
                new SharedDashboardInvitesData(
                    Collections.singletonList(
                        new SharedDashboardInvitesDataObject()
                            .attributes(
                                new SharedDashboardInvitesDataObjectAttributes()
                                    .email("test@datadoghq.com"))
                            .type(DashboardInviteType.PUBLIC_DASHBOARD_INVITATION))));

    try {
      apiInstance.deletePublicDashboardInvitation("token", body);
    } catch (ApiException e) {
      System.err.println("Exception when calling DashboardsApi#deletePublicDashboardInvitation");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Revoke shared dashboard invitations returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV1::api_dashboards::DashboardsAPI;
use datadog_api_client::datadogV1::model::DashboardInviteType;
use datadog_api_client::datadogV1::model::SharedDashboardInvites;
use datadog_api_client::datadogV1::model::SharedDashboardInvitesData;
use datadog_api_client::datadogV1::model::SharedDashboardInvitesDataObject;
use datadog_api_client::datadogV1::model::SharedDashboardInvitesDataObjectAttributes;

#[tokio::main]
async fn main() {
    let body =
        SharedDashboardInvites::new(SharedDashboardInvitesData::SharedDashboardInvitesDataList(
            vec![SharedDashboardInvitesDataObject::new(
                SharedDashboardInvitesDataObjectAttributes::new()
                    .email("test@datadoghq.com".to_string()),
                DashboardInviteType::PUBLIC_DASHBOARD_INVITATION,
            )],
        ));
    let configuration = datadog::Configuration::new();
    let api = DashboardsAPI::with_config(configuration);
    let resp = api
        .delete_public_dashboard_invitation("token".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Revoke shared dashboard invitations returns "OK" response
 */

import { client, v1 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v1.DashboardsApi(configuration);

const params: v1.DashboardsApiDeletePublicDashboardInvitationRequest = {
  body: {
    data: [
      {
        attributes: {
          email: "test@datadoghq.com",
        },
        type: "public_dashboard_invitation",
      },
    ],
  },
  token: "token",
};

apiInstance
  .deletePublicDashboardInvitation(params)
  .then((data: any) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
